import { restGet, restPost, restDelete, restPatch } from '../restConsumer.js'

export async function fetchResearcher(id){
    return restGet("/researcher/" + id)
}

export async function fetchResearches(id){
    return restGet("/researches/" + id)
}

export async function fetchStats(id){
    return restGet("/stats/" +id)
}
export async function addView(url){
    return restPost("/addview/" +url)
}

export async function getFile(url){
    const restURL = import.meta.env.VITE_CLYDE_MODE === 'container' ? "http://localhost:8000": import.meta.env.DEV ? "http://localhost:5173" : "https://clyde.herisson.ovh/api"
    await fetch(restURL + "/"+url, {method: "GET"})
}

export async function getSelf(){
    return restGet("/researcher")
}